
From: Geert Uytterhoeven <geert@linux-m68k.org>

Kill warnings in Specialix serial driver when !PCI.

Signed-off-by: Geert Uytterhoeven <geert@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/sx.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN drivers/char/sx.c~pci-warnings-specialix-serial drivers/char/sx.c
--- 25/drivers/char/sx.c~pci-warnings-specialix-serial	2004-07-26 17:27:07.993518360 -0700
+++ 25-akpm/drivers/char/sx.c	2004-07-26 17:27:07.998517600 -0700
@@ -251,11 +251,13 @@
 #define PCI_DEVICE_ID_SPECIALIX_SX_XIO_IO8 0x2000
 #endif
 
+#ifdef CONFIG_PCI
 static struct pci_device_id sx_pci_tbl[] = {
 	{ PCI_VENDOR_ID_SPECIALIX, PCI_DEVICE_ID_SPECIALIX_SX_XIO_IO8, PCI_ANY_ID, PCI_ANY_ID },
 	{ 0 }
 };
 MODULE_DEVICE_TABLE(pci, sx_pci_tbl);
+#endif /* CONFIG_PCI */
 
 /* Configurable options: 
    (Don't be too sure that it'll work if you toggle them) */
_
